<?php

echo "<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
<html>
<head>
<style type='text/css'>
body {
	margin: 10px;
	padding: 10px;
	font-family: Tahoma, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color:#000000;
}

td	{
	padding: 5px;
	font-family: Tahoma, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color:#000000;
}

div {
	border: 1px solid #AAAAAA;
	margin: 0px;
	margin-bottom: 5px;
}

span.fail {
	color: #FF0000;
}
</style>
<title>Kiwi Manager Server Check</title>
</head>
<body>
";


$extensions = get_loaded_extensions();

$t = "";
$t .= "<div>";
$t .= "<table cellspacing='0'>";
$t .= "<tr>";
	$t .= "<td>%s</td>";
$t .= "</tr>";
$t .= "<tr>";
	$t .= "<td>%s</td>";
$t .= "</tr>";
$t .= "</table>";
$t .= "</div>";

echo "<h3>Kiwi Manager Server Check Results</h3><br />";

echo "You can easily address issues highlighted here by visiting our <a href='https://www.kiwimanager.com/support' target='_blank'>knowledge base</a>.<br /><br /><br />";

$c =  "Checking PHP version.";
if(!version_compare(phpversion(),"4.3.2",">=")){
	$m = "<span class='fail'>FAIL</span>: Your PHP version (".phpversion().") is obsolete! Kiwi Manager requires at least PHP version 4.3.2.";
}else{
	$m = "PASS: Your PHP version (".phpversion().") satisfies Kiwi Manager requirements.";
}

echo sprintf($t,$c,$m);



$c = "Checking the Session extension.";
if(!in_array("session",$extensions)){
	$m = "<span class='fail'>FAIL</span>: Session extension is not enabled. Please see <a href='http://www.php.net/session' target='_blank'>http://www.php.net/session</a> for more information.";
}else{
	$m = "PASS: Session extension is enabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking the PCRE extension.";
if(!in_array("pcre",$extensions)){
	$m = "<span class='fail'>FAIL</span>: PCRE extension is not enabled. Please see <a href='http://www.php.net/pcre' target='_blank'>http://www.php.net/pcre</a> for more information.";
}else{
	$m = "PASS: PCRE extension is enabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking the GD extension.";
if(!in_array("gd",$extensions)){
	$m = "<span class='fail'>FAIL</span>: GD extension is not enabled. Please see <a href='http://www.php.net/gd' target='_blank'>http://www.php.net/gd</a> for more information.";
}else{
	$m = "PASS: GD extension is enabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking MySQL extension. Kiwi Manager requires InnoDB tables by default. InnoDB provides MySQL with a transaction-safe (ACID compliant) storage engine with commit, rollback, and crash recovery capabilities. From MySQL version 4.0, InnoDB is enabled by default.<br /><br />
For MySQL documentation, click <a href='http://dev.mysql.com/doc/' target='_blank'>here</a>.<br />
For InnoDB documentation, click <a href='http://dev.mysql.com/doc/mysql/en/innodb.html' target='_blank'>here</a>.<br />
For InnoDB support in MySQL 3.23 series, click <a href='http://dev.mysql.com/doc/mysql/en/innodb-in-mysql-3-23.html' target='_blank'>here</a>.<br />
";
if(!in_array("mysql",$extensions)){
	$m = "<span class='fail'>FAIL</span>: MySQL extension is not enabled. Please see <a href='http://www.php.net/mysql' target='_blank'>http://www.php.net/mysql</a> for more information.";
}else{
	$m = "PASS: MySQL extension is enabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking PostgreSQL extension.";
if(!in_array("pgsql",$extensions)){
	$m = "<span class='fail'>FAIL</span>: PostgreSQL extension is not enabled. Please see <a href='http://www.php.net/pgsql' target='_blank'>http://www.php.net/pgsql</a> for more information. If you already have the MySQL extension enabled, you can ignore this message.";
}else{
	$m = "PASS: PostgreSQL extension is enabled.";
}

echo sprintf($t,$c,$m);




$c = "Checking register_globals configuration directive.";
if(ini_get("register_globals") == 1){
	$m = "<span class='fail'>FAIL</span>: register_globals should be set to Off! Set register_globals to Off in your php.ini file or insert 'php_flag register_globals Off' into your .htaccess file.";
}else{
	$m = "PASS: register_globals configuration directive is disabled.";
}

echo sprintf($t,$c,$m);




$c = "Checking safe_mode configuration directive.";
if(ini_get("safe_mode") == 1){
	$m = "<span class='fail'>FAIL</span>: safe_mode should be set to Off! Set safe_mode to Off in your php.ini file or insert 'php_flag safe_mode Off' into your .htaccess file.";
}else{
	$m = "PASS: safe_mode configuration directive is disabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking file_uploads configuration directive.";
if(ini_get("file_uploads") == 0){
	$m = "<span class='fail'>FAIL</span>: file_uploads should be set to On! Set file_uploads to On in your php.ini file.";
}else{
	$m = "PASS: file_uploads configuration directive is enabled.";
}

echo sprintf($t,$c,$m);



$c = "Checking enable_dl configuration directive.";
if(ini_get("enable_dl") == 0){
	$m = "<span class='fail'>FAIL</span>: enable_dl should be set to On! Set enable_dl to On in your php.ini file.";
}else{
	$m = "PASS: enable_dl configuration directive is set to On.";
}

echo sprintf($t,$c,$m);



// $c = "Checking PEAR installation.";
// if(!(@include "PEAR.php")){
// 	$m = "<span class='fail'>FAIL</span>: PEAR is either not installed or not defined in include_path configuration directive. Make sure PEAR is installed and the installation directory is identified in include_path. Please see <a href='http://pear.php.net' target='_blank'>pear.php.net</a> for more information.";
// }else{
// 	$m = "PASS: PEAR is installed.";
// }
// 
// echo sprintf($t,$c,$m);
// 
// 
// 
// $c = "Checking PEAR DB installation.";
// if(!(@include "DB.php")){
// 	$m = "<span class='fail'>FAIL</span>: PEAR DB is not installed. Please see <a href='http://pear.php.net/db' target='_blank'>http://pear.php.net/db</a> for more information.";
// }else{
// 	$m = "PASS: PEAR DB is installed.";
// }
// 
// echo sprintf($t,$c,$m);

echo "
</body>
</html>
";
?>